%define kdegames_major 6
%define kdegamesprivate_major 1
%define kdegames_libname %mklibname kdegames %{kdegames_major}
%define kdegamesprivate_libname %mklibname kdegamesprivate %{kdegamesprivate_major}

Name:		libkdegames4
Summary:	Common code and data for many KDE4 games
Group:		Graphical desktop/KDE
Epoch:		1
Version:	14.12.3
Release:	%mkrel 3

# libKF5KDEGames is LGPLv2, libKF5KDEGamesPrivate is GPLv2+
License:	LGPLv2 and GPLv2+
URL:		https://projects.kde.org/projects/kde/kdegames/libkdegames
Source0:	http://download.kde.org/stable/applications/%{version}/src/libkdegames-%{version}.tar.xz

BuildRequires:	kdelibs4-devel >= 2:4.14
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(sndfile)
Obsoletes:	libkdegames-common < 1:4.14.4
Obsoletes:	libkdegames-corebindings < 1:4.14.4
Conflicts:	libkdegames-common < 1:4.14.4
Conflicts:	libkdegames-corebindings < 1:4.14.4

%description
%{summary}.

%package -n %{kdegames_libname}
Group:		System/Libraries
Summary:	%{summary}
Requires:	%{name} >= %{epoch}:%{version}-%{release}

%description -n %{kdegames_libname}
%{summary}.

%package -n %{kdegamesprivate_libname}
Group:		System/Libraries
Summary:	%{summary}
Requires:	%{name} >= %{epoch}:%{version}-%{release}

%description -n %{kdegamesprivate_libname}
%{summary}.

%package devel
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{name} = %{epoch}:%{version}
Requires:	kdelibs4-devel >= 2:4.14
Requires:	%{kdegames_libname} = %{epoch}:%{version}
Requires:	%{kdegamesprivate_libname} = %{epoch}:%{version}
Obsoletes:	%{_lib}kdegames-devel < 1:4.14

%description devel
%{summary}.

%prep
%setup -q -n libkdegames-%{version}

%build
%cmake_kde4
%make

%install
%make_install -C build

%files
%doc README TODO COPYING
%dir %{_kde_libdir}/kde4/imports/org/
%dir %{_kde_libdir}/kde4/imports/org/kde/
%{_kde_libdir}/kde4/imports/org/kde/games/
%{_kde_appsdir}/carddecks/
%{_kde_appsdir}/kconf_update/kgthemeprovider-migration.upd

%files -n %{kdegames_libname}
%{_kde_libdir}/libkdegames.so.%{kdegames_major}*

%files -n %{kdegamesprivate_libname}
%{_kde_libdir}/libkdegamesprivate.so.%{kdegamesprivate_major}*

%files devel
%{_kde_includedir}/*.h
%{_kde_includedir}/highscore/
%{_kde_includedir}/KDE/*
%{_kde_includedir}/libkdegamesprivate/
%{_kde_libdir}/cmake/KDEGames/
%{_kde_libdir}/libkdegames.so
%{_kde_libdir}/libkdegamesprivate.so


%changelog
* Tue Jun 28 2016 tv <tv> 1:14.12.3-3.mga6
+ Revision: 1038037
- add proper conflict tags for mga5 upgrade
- fix version in obsoletes

* Mon Feb 15 2016 umeabot <umeabot> 1:14.12.3-2.mga6
+ Revision: 961053
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 fwang <fwang> 1:14.12.3-1.mga6
+ Revision: 873346
- add epoch for upgrading from mga < 6

* Sun Sep 06 2015 fwang <fwang> 14.12.3-2.mga6
+ Revision: 873289
- fix upgrade from mga < 6

* Tue Sep 01 2015 sander85 <sander85> 14.12.3-1.mga6
+ Revision: 871962
- Import from Fedora

